<div id="container">
  <div class="demo-flex-display">
    <div class="oj-flex oj-sm-12" style="height:calc(100vh - 50px)">
      <div class="oj-flex-item oj-sm-3 filter-container">

        <div id="form-container">
          <div>
            <h2 style="color: #fff;">Filter</h2>
          </div>
          <oj-form-layout id='formLayoutOptions' class="crime-detector">
            <!-- <oj-select-many id="f11" label-hint="Locations" 
                    placeholder='Locations' 
                    value='{{location}}' options='[[zipCodeList]]' on-value-changed="[[selectZip]]">
              </oj-select-many> -->
            <oj-select-single id="f11" label-hint="Locations""
                    placeholder='Location' 
                    value='{{location}}'
                    data=" [[zipCodeList]]" on-value-changed="[[selectZip]]">
            </oj-select-single>
            <oj-bind-if test="[[displayModule() != 'classsification' && displayModule() != 'analysis']]">
            <oj-select-single id="f12" label-hint="Date Range""
                    placeholder='Date Range' 
                    value='{{dateRange}}'
                    data=" [[dateRangeList]]" disabled="[[!regionSelected()]]" on-value-changed="[[selectDateRange]]">
            </oj-select-single>
          </oj-bind-if>
            <oj-bind-if test="[[displayModule() == 'classsification' || displayModule() == 'analysis']]">
            <div>
              <div>
                <oj-label>Date Range</oj-label>
              </div>
              <div class="oj-flex block-element">
                  <oj-input-date placeholder="Date Range" disabled="[[!regionSelected()]]" label-hint="Date Range" value="{{dateRangeCal}}" style="min-width: 100%;"></oj-input-date>
                
              </div>
            </div>
          </oj-bind-if>
            
            <oj-bind-if test="[[displayModule() != 'classsification']]">
              <oj-select-single id="f12" label-hint="Offence Type" placeholder='Offence Type' value='{{selectedOffence}}'
                data="[[offenceList]]" disabled="[[!regionSelected()]]" on-value-changed="[[offenceChange]]">
              </oj-select-single>
            </oj-bind-if>
            <oj-bind-if test="[[displayModule() == 'classsification']]">
              <!-- <div>
                <div>
                  <oj-label>Description</oj-label>
                </div>
                <div class="oj-flex block-element">
                  <oj-input-text value="{{description}}" style="min-width: 100%;"></oj-input-text>
                </div>
              </div> -->
              <oj-select-single id="f12" label-hint="Description" placeholder='Description' value='{{description}}'
                data="[[descriptionList]]" disabled="[[!regionSelected()]]">
              </oj-select-single>
            </oj-bind-if>
            <div>
              <div>
                <oj-label>Time of Day</oj-label>
              </div>
              <div class="oj-flex block-element">
                <!-- <oj-bind-if test="[[displayModule() != 'classsification']]"> -->
                  <oj-buttonset-one id="timeSet" value="{{selectedTime}}" on-value-changed="[[timeChange]]">
                    <!-- ko foreach: timeValues -->
                    <oj-option value='[[id]]'>
                      <span data-bind="text: label"></span>
                    </oj-option>
                    <!-- /ko -->
                  </oj-buttonset-one>
                <!-- </oj-bind-if> -->
                <!-- <oj-bind-if test="[[displayModule() == 'classsification']]">
                  <oj-input-date placeholder="Time of the Day" label-hint="Time of the Day" value="{{selectedTime}}" style="min-width: 100%;"></oj-input-date>
                </oj-bind-if> -->
                
              </div>
            </div>
            
          <oj-bind-if test="[[displayModule() == 'map']]">
            <div id="formId">
              <oj-switch id="switch" value="{{cluster}}" label-edge="inside" label-hint="Cluster" on-value-changed="[[clusterChange]]"></oj-switch>
            </div>   
          </oj-bind-if> 
          <div>
            <div class="oj-flex block-element">
              <div :class="[[elementStyle]]" on-click="[[getResults]]">
                <oj-label>Submit</oj-label>
              </div>
            </div>
          </div>
            <div>
              <div>
                <oj-label>Export as</oj-label>
              </div>
              <div class="oj-flex block-element">
                <div :class="[[elementStyle]]" on-click="[[downloadXL]]">
                  <oj-label>EXCEL</oj-label>
                </div>
              </div>
            </div>
          </oj-form-layout>

        </div>
      </div>
      <div class="oj-flex-item oj-sm-9 module-container">
        <div class="menu" style="padding-left: 5px;">
          <oj-buttonset-one id="drinkset" value="{{displayModule}}">
            <!-- ko foreach: drinkValues -->
            <oj-option value='[[id]]'>
              <span data-bind="text: label"></span>
            </oj-option>
            <!-- /ko -->
          </oj-buttonset-one>
        </div>

        <div id="googleMap" :class="[['googleMap '+ displayModule()]]" class="oj-sm-12"
          style="height:calc(100vh - 100px)"></div>

        <div :class="[['kpi-module ' +displayModule()]]">
          <div class="oj-flex">
            <div class="oj-flex-item lavenderColor">
              <div id="componentDemoContent" style="width: 1px; min-width: 100%;">
                <div id='chart-container'>
                  <label id="label1"
                    style="display:inline-block;font-size:16px;font-weight:bold;max-width:500px;width:100%;text-align:center;">TIME
                    OF THE DAY</label>
                  <oj-chart type="scatter" coordinate-system="polar" series="[[seriesValue]]"
                    animation-on-display="auto" animation-on-data-change="auto" style-defaults.line-type="curved"
                    style-defaults.marker-shape="circle" style-defaults.marker-size="6" x-axis.min="0" x-axis.max="24"
                    x-axis.step="2" x-axis.tick-label.converter="[[degreeConverter]]"
                    value-formats.series.tooltip-label="Time Period" value-formats.group.tooltip-display="off"
                     value-formats.x.tooltip-label="Time Period"
                     value-formats.y.tooltip-label="Crimes"
                    style="max-width:500px;width:100%;">
                  </oj-chart>
                </div>
              </div>
            </div>
            <div class="oj-flex-item lavenderColor">

              <div id="componentDemoContent" style="width: 1px; min-width: 100%;">
                <div id='chart-container'>
                  <label id="label1"
                    style="display:inline-block;font-size:16px;font-weight:bold;max-width:500px;width:100%;text-align:center;">DATE
                    RANGE</label>
                  <oj-chart id="lineAreaChart" type="lineWithArea" series="[[areaSeriesValue]]"
                    groups="[[areaGroupsValue]]" animation-on-display="auto" animation-on-data-change="auto"
                    orientation="[[orientationValue]]" stack="[[stackValue]]" hover-behavior="dim"
                    style="max-width:700px;width:100%;height:350px;">
                  </oj-chart>
                  <div style="max-width:700px;width:100%;height:50px;">
                    <oj-toolbar id="myToolbar" aria-label="Chart Display Options Toolbar" aria-controls="lineAreaChart"
                      style="max-width:700px;width:100%;">
                      <!-- vertical/horizontal toggle button -->
                      <demo-chart-orientation-control id="orientationControl" type="lineWithArea"
                        focus-management="none" orientation="{{orientationValue}}">
                      </demo-chart-orientation-control>
                      <span role="separator" aria-orientation="vertical" class="oj-toolbar-separator"></span>
                      <!-- unstacked/stacked toggle button -->
                      <demo-chart-stack-control id="stackControl" type="lineWithArea" focus-management="none"
                        stack="{{stackValue}}">
                      </demo-chart-stack-control>
                    </oj-toolbar>
                  </div>
                </div>


              </div>
            </div>
          </div>
          <div class="oj-flex">
            <div class="oj-flex-item lavenderColor">
              <div id="componentDemoContent" style="width: 1px; min-width: 100%;">
                <div id='chart-container'>
                  <label id="label1"
                    style="display:inline-block;font-size:16px;font-weight:bold;max-width:500px;width:100%;text-align:center;">DAY
                    OF THE WEEK</label>
                  <oj-chart id="barChart" type="bar" orientation="[[orientationValue]]" stack="[[stackValue]]"
                    series="[[barSeriesValue]]" groups="[[barGroupsValue]]" animation-on-display="auto"
                    animation-on-data-change="auto" hover-behavior="dim"
                    style="max-width:500px;width:100%;height:350px;">
                  </oj-chart>
                  <oj-toolbar id="myToolbar" aria-label="Chart Display Options Toolbar" aria-controls="barChart"
                    style="max-width:500px;width:100%;">
                    <!-- vertical/horizontal toggle button -->
                    <demo-chart-orientation-control id="orientationControl" type="bar" focus-management="none"
                      orientation="{{orientationValue}}">
                    </demo-chart-orientation-control>
                    <span role="separator" aria-orientation="vertical" class="oj-toolbar-separator"></span>
                    <!-- unstacked/stacked toggle button -->
                    <demo-chart-stack-control id="stackControl" type="bar" focus-management="none"
                      stack="{{stackValue}}">
                    </demo-chart-stack-control>
                  </oj-toolbar>
                </div>


              </div>
            </div>
            <div class="oj-flex-item lavenderColor">
              <div id="componentDemoContent" style="width: 1px; min-width: 100%;">
                <div id='chart-container'>
                  <label id="label1"
                    style="display:inline-block;font-size:16px;font-weight:bold;max-width:500px;width:100%;text-align:center;">OFFENSE
                    TYPE</label>
                  <oj-chart id="pieChart" type="pie" series="[[pieSeriesValue]]" animation-on-display="auto"
                    animation-on-data-change="auto" style-defaults.three-d-effect="[[threeDValue]]" hover-behavior="dim"
                    style="max-width:500px;width:100%;height:350px;">
                  </oj-chart>
                  <!-- 2D/3D toggle button -->
                  <demo-chart-three-d-effect-control id="threeDControl" three-d-effect="{{threeDValue}}"
                    aria-controls="pieChart">
                  </demo-chart-three-d-effect-control>
                </div>


              </div>


            </div>
          </div>
        </div>
        <div :class="[['analaysis-module '+ displayModule()]]">
          <div class="oj-flex analaysis">
            <div class="oj-flex-item table">
              <h2> Forecast</h2>

              <div>
                <div class="header oj-flex ">
                  <div class="oj-flex row-item oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal">
                    <div class=" oj-flex-item oj-sm-6 margin-right">
                      <h4><span>Date</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-6">
                      <h4><span>Forecast Crime</span></h4>
                    </div>
                  </div>
                </div>
                <div class="oj-flex">
                  <oj-bind-if test="{{foreCast().length >0}}">
                    <oj-bind-for-each data="[[foreCast]]">
                      <template>
                        <div class="oj-flex row-item oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal">

                          <div class=" oj-flex-item oj-sm-6 margin-right">
                            <oj-bind-text value="[[$current.data.Date]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-6">
                            <oj-bind-text value="[[$current.data.Forecast_Crime_Rate]]"></oj-bind-text>
                          </div>
                        </div>
                      </template>
                    </oj-bind-for-each>
                  </oj-bind-if>
                  <oj-bind-if test="{{foreCast().length == 0}}">
                    <span>No Forecast available for this range</span>
                  </oj-bind-if>
                </div>
              </div>
            </div>
          </div>
          <div>
            <div class="analaysis table">
              <div class="oj-flex"> 
                <h2> Crime Rates</h2>
              </div>
              

              <div class="oj-flex">
                <div class="header oj-flex row-item">
                  <div class="oj-flex oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal" > 
                    <div class=" oj-flex-item oj-sm-2">
                      <h4><span>Date</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-2 margin-right">
                      <h4><span>Community Area</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-2 margin-right">
                      <h4><span>Day Period</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-1 margin-right">
                      <h4><span>Weekday</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-2 margin-right">
                      <h4><span>Day of Week</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-2 margin-right">
                      <h4><span>Primary Type</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-1 margin-right">
                      <h4><span>Crime Rate</span></h4>
                    </div>
                  </div>
                </div>
                <div class="oj-flex" style="width: 100%">
                  <!-- <oj-bind-if test="{{crimeRates().length >0}}"> -->

                    <oj-bind-for-each data="[[crimeRates]]">
                      <template>
                        <!-- <oj-bind-if test="[[location() ==$current.data.Community_Area]]"> -->
                        <div class="oj-flex oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal row-item">

                          <div class=" oj-flex-item oj-sm-2">
                            <oj-bind-text value="[[$current.data.Date]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-2 margin-right">
                            <oj-bind-text value="[[$current.data.Community_Area]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-2 margin-right">
                            <oj-bind-text value="[[$current.data.Day_Period]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-1 margin-right">
                            <oj-bind-text value="[[$current.data.weekday]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-2 margin-right">
                            <oj-bind-text value="[[$current.data.day_of_week]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-2 margin-right">
                            <oj-bind-text value="[[$current.data.Primary_Type]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-1" style="text-align: center;">
                            <oj-bind-text value="[[$current.data.Crime_Rate]]"></oj-bind-text>
                          </div>

                        </div>
                        <!-- <div class="oj-flex">
                        <span class="oj-flex-item"><oj-bind-text value="[[$current.data.Date]]"></oj-bind-text></span>
                        <span class="oj-flex-item"><oj-bind-text value="[[$current.data.Forecast_Crime_Rate]]"></oj-bind-text></span>
                      </div> -->
                    <!-- </oj-bind-if> -->
                      </template>
                    </oj-bind-for-each>
                  </oj-bind-if>
                  <oj-bind-if test="{{crimeRates().length ==0}}">
                    <span>No Crime available for this range</span>
                  </oj-bind-if>
                </div>

              </div>
            </div>
          </div>
        </div>
        <div :class="[['classsification-module '+ displayModule()]]">
          <div class="oj-flex classification">
            <div class="oj-flex-item table">
              <h2> Classification</h2>

              <div>
                <div class="header oj-flex ">
                  <div class="oj-flex row-item oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal">
                    <div class=" oj-flex-item oj-sm-3 margin-right">
                      <h4><span>Comunity Area</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-3">
                      <h4><span>Crime Type</span></h4>
                    </div>
                    <div class=" oj-flex-item oj-sm-6">
                      <h4><span>Crime Type Probabilities</span></h4>
                    </div>
                  </div>
                </div>
                <div class="oj-flex">
                  <oj-bind-if test="{{classsification().length >0}}">
                    <oj-bind-for-each data="[[classsification]]">
                      <template>
                        <div class="oj-flex row-item oj-sm-12 oj-sm-margin-3x-bottom oj-sm-padding-3x-horizontal">

                          <div class=" oj-flex-item oj-sm-3 margin-right">
                            <oj-bind-text value="[[$current.data.Community_Area]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-3">
                            <oj-bind-text value="[[$current.data.Crime_Type]]"></oj-bind-text>
                          </div>
                          <div class=" oj-flex-item oj-sm-6">
                            <oj-bind-text value="[[$current.data.Crime_Type_Probabilities]]"></oj-bind-text>
                          </div>
                        </div>
                      </template>
                    </oj-bind-for-each>
                  </oj-bind-if>
                  <oj-bind-if test="{{classsification().length == 0}}">
                    <span>No Forecast available for this range</span>
                  </oj-bind-if>
                </div>
              </div>
            </div>
          </div>
          
        </div>
      </div>


    </div>

  </div>


</div>
</div>